<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/recipes/recipes/expansioncraftrampkit.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d3e/a00116_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioncraftrampkit.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d3e/a00116.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionCraftRampKit.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d84/a00001.html">   13</a></span><span class="comment">/**@class       ExpansionCraftRampKit</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d84/a00001.html#de/d8b/a08238">ExpansionCraftRampKit</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d5e/a03542.html">RecipeBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{   </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d4/d5e/a03542.html#ac57012907715de1452f577c9693805bc">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d5e/a03542.html#ac57012907715de1452f577c9693805bc">Init</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_Name = <span class="stringliteral">&quot;#STR_USRACT_CRAFT_RAMP_KIT&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_IsInstaRecipe = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_AnimationLength = 1.5;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_Specialty = -0.02;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="comment"></span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">        //! Conditions</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment"></span>        m_MinDamageIngredient[0] = -1;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_MaxDamageIngredient[0] = 3;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_MinQuantityIngredient[0] = 1;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_MaxQuantityIngredient[0] = -1;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_MinDamageIngredient[1] = -1;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_MaxDamageIngredient[1] = 3;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_MinQuantityIngredient[1] = 1;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_MaxQuantityIngredient[1] = -1;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="comment">//----------------------------------------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="comment"></span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">        //! Ingredient 2</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment"></span>        InsertIngredient(0, <span class="stringliteral">&quot;WoodenStick&quot;</span>); <span class="comment">//! You can insert multiple ingredients this way</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        m_IngredientAddHealth[0] = 0;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        m_IngredientSetHealth[0] = -1; </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        m_IngredientAddQuantity[0] = -4;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        m_IngredientDestroy[0] = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        m_IngredientUseSoftSkills[0] = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="comment"></span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">        //! Ingredient 2</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment"></span>        InsertIngredient(1, <span class="stringliteral">&quot;Rope&quot;</span>); <span class="comment">//! You can insert multiple ingredients this way</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        m_IngredientAddHealth[1] = 0;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        m_IngredientSetHealth[1] = -1; </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        m_IngredientAddQuantity[1] = -1;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        m_IngredientDestroy[1] = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        m_IngredientUseSoftSkills[1] = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="comment">//----------------------------------------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="comment"></span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment">        //! Result</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment"></span>        AddResult(<span class="stringliteral">&quot;ExpansionRampKit&quot;</span>); <span class="comment">//! Add results here</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        m_ResultSetFullQuantity[0] = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        m_ResultSetQuantity[0] = 1;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        m_ResultSetHealth[0] = -1;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        m_ResultInheritsHealth[0] = -2;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        m_ResultInheritsColor[0] = -1;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        m_ResultToInventory[0] = -2;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        m_ResultUseSoftSkills[0] = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        m_ResultReplacesIngredient[0] = -1;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d4/d5e/a03542.html#a26f4744e99b76ecd22e386cedcf95bb7">   74</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d5e/a03542.html#a26f4744e99b76ecd22e386cedcf95bb7">CanDo</a>(<a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordtype">bool</span> canCraft = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a3f42ded927d7b038a92531a056f6cdf4">GetBaseBuilding</a>().CanCraftExpansionBasebuilding;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> ( canCraft )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">return</span> super.CanDo( ingredients, player );</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> super.CanDo( ingredients, player );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d4/d5e/a03542.html#a7a710eb8417a3bb99b41015d96e88a91">   90</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d5e/a03542.html#a7a710eb8417a3bb99b41015d96e88a91">Do</a>(<a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player,array&lt;ItemBase&gt; results, <span class="keywordtype">float</span> specialty_weight) <span class="comment">//! Gets called upon recipe&#39;s completion</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_enumvalue" href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a>.Log(<span class="stringliteral">&quot;Recipe Do method called&quot;</span>, <span class="stringliteral">&quot;recipes&quot;</span>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>}</div>
<div class="ttc" id="aa00001_html_de/d8b/a08238"><div class="ttname"><a href="../../d8/d84/a00001.html#de/d8b/a08238">ExpansionCraftRampKit</a></div></div>
<div class="ttc" id="aa00782_html_a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8"><div class="ttname"><a href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a></div><div class="ttdeci">@ Debug</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d96/a00782_source.html#l00247">expansionrpc.c:247</a></div></div>
<div class="ttc" id="aa03482_html_a3f42ded927d7b038a92531a056f6cdf4"><div class="ttname"><a href="../../d1/d07/a03482.html#a3f42ded927d7b038a92531a056f6cdf4">ExpansionSettings::GetBaseBuilding</a></div><div class="ttdeci">ExpansionBaseBuildingSettings GetBaseBuilding(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d71/a08728_source.html#l00064">expansionsettings.c:64</a></div></div>
<div class="ttc" id="aa03542_html"><div class="ttname"><a href="../../d4/d5e/a03542.html">RecipeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dec/a00080_source.html#l00013">craftterritoryflagkit.c:14</a></div></div>
<div class="ttc" id="aa03542_html_a26f4744e99b76ecd22e386cedcf95bb7"><div class="ttname"><a href="../../d4/d5e/a03542.html#a26f4744e99b76ecd22e386cedcf95bb7">RecipeBase::CanDo</a></div><div class="ttdeci">override bool CanDo(ItemBase ingredients[], PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d3e/a00116_source.html#l00074">expansioncraftrampkit.c:74</a></div></div>
<div class="ttc" id="aa03542_html_a7a710eb8417a3bb99b41015d96e88a91"><div class="ttname"><a href="../../d4/d5e/a03542.html#a7a710eb8417a3bb99b41015d96e88a91">RecipeBase::Do</a></div><div class="ttdeci">override void Do(ItemBase ingredients[], PlayerBase player, array&lt; ItemBase &gt; results, float specialty_weight)</div><div class="ttdoc">Gets called upon recipe's completion.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d3e/a00116_source.html#l00090">expansioncraftrampkit.c:90</a></div></div>
<div class="ttc" id="aa03542_html_ac57012907715de1452f577c9693805bc"><div class="ttname"><a href="../../d4/d5e/a03542.html#ac57012907715de1452f577c9693805bc">RecipeBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d3e/a00116_source.html#l00018">expansioncraftrampkit.c:18</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_0be1ee331f0ee8b2f46ce6dade60d197.html">recipes</a></li><li class="navelem"><a class="el" href="../../dir_397105e368f97e36ed893e75a6e0eb69.html">recipes</a></li><li class="navelem"><a class="el" href="../../d4/d3e/a00116.html">expansioncraftrampkit.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
